package config;

import config.subConfig.AxisConfig;
import config.subConfig.DoorConfig;
import config.subConfig.RoomConfig;
import config.subConfig.TemplateConfig;

import java.util.List;

/**
 * @author duh
 * @create 2018/7/17 15:25
 * @email duh@elab-plus.com
 **/
public class Config {
    private AxisConfig axisPoint;
    private int enlarge;
    private int narrow;
    private RoomConfig room;
    private DoorConfig door;
    private List<TemplateConfig> templates;
    private int zoom;

    public AxisConfig getAxisPoint() {
        return axisPoint;
    }

    public void setAxisPoint(AxisConfig axisPoint) {
        this.axisPoint = axisPoint;
    }

    public int getEnlarge() {
        return enlarge;
    }

    public void setEnlarge(int enlarge) {
        this.enlarge = enlarge;
    }

    public int getNarrow() {
        return narrow;
    }

    public void setNarrow(int narrow) {
        this.narrow = narrow;
    }

    public RoomConfig getRoom() {
        return room;
    }

    public void setRoom(RoomConfig room) {
        this.room = room;
    }

    public DoorConfig getDoor() {
        return door;
    }

    public void setDoor(DoorConfig door) {
        this.door = door;
    }

    public List<TemplateConfig> getTemplates() {
        return templates;
    }

    public void setTemplates(List<TemplateConfig> templates) {
        this.templates = templates;
    }

    public int getZoom() {
        return zoom;
    }

    public void setZoom(int zoom) {
        this.zoom = zoom;
    }
}
